Bug 149497 - Error message from system-config-printer
Error message from system-config-printer
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: foomatic (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 12:28 EST by Kostas Georgiou
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-27 11:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2005-02-23 12:28:29 EST
Scanning from system-config-printer for local printers gives:

No match for USB device:
  mfr "Hewlett-Packard"
  model "hp LaserJet 1320 series"
  desc "Hewlett-Packard LaserJet 1320 series"
  cmdset "PJL,MLC,BIDI-ECP,PCL,POSTSCRIPT,PCLXL"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
/usr/share/printconf/util/queueTree.py:279: GtkWarning: file
gtkwidget.c: line 3360 (gtk_widget_event): assertion
`WIDGET_REALIZED_FOR_EVENT (widget, event)' failed
  gtk.main ()
No match for USB device:
  mfr "Hewlett-Packard"
  model "hp LaserJet 1320 series"
  desc "Hewlett-Packard LaserJet 1320 series"
  cmdset "PJL,MLC,BIDI-ECP,PCL,POSTSCRIPT,PCLXL"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.

rpm -qf foomatic
gives foomatic-3.0.2-3
Comment 1 Tim Waugh 2005-02-23 12:54:27 EST
Thanks.  This is fixed in the Fedora Core development branch.
Comment 2 Jim Waldram 2005-03-25 11:40:11 EST
Similarly from printconf-gui:
No IEEE 1284 match: {'model': 'HP LaserJet 5M', 'description': 'Hewlett-',
'cmdset': 'PJL,MLC,PCL,PCLXL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LaserJet 5M'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
Printer is PostScript-capable: selecting generic PS
Comment 3 Tim Waugh 2005-04-12 07:12:12 EDT
The description field of the returned IEEE 1284 string looks wrong; it's just
'Hewlett-'.

Please run this command, with "prn1" replaced by the hostname of the printer:

snmpwalk -v 1 -c public -Ov prn1 system.sysObjectID.0

The output should look something like this:

OID: SNMPv2-SMI::enterprises.11.2.3.9.1

Put the OID value into this command, again with "prn1" replaced by the hostname
of the printer, and with the correct OID instead of this example one:

snmpwalk -v 1 -c public -Ov prn1 SNMPv2-SMI::enterprises.11.2.3.9.1

Please attach the output of the command.
Comment 4 Nuno Ponte 2005-07-20 09:02:31 EDT
(In reply to comment #3)

I'm having almost the same error as Jim Waldram on Fedora Core 4 with
foomatic-3.0.2-19 on an HP LaserJet 5Si:

No IEEE 1284 match: {'model': 'HP LaserJet 5Si', 'description': '', 'cmdset': 'P
JL,MLC,PCL,POSTSCRIPT', 'manufacturer': 'Hewlett-Packard'}
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
No SNMP match: 'HP LaserJet 5Si'
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.
Printer is PostScript-capable: selecting generic PS

The snmpwalk command returns the following output:

INTEGER: 19
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: -1
INTEGER: 0
INTEGER: 1
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
Hex-STRING: 00 00 00 00 00 00 00 00 00 00 00 00
INTEGER: 0
INTEGER: 0
INTEGER: 0
INTEGER: 0
STRING: "TRAY 3 EMPTY
"
""
""
""
STRING: "MANUFACTURER:Hewlett-Packard;COMMAND SET:PJL,MLC,PCL,POSTSCRIPT;MODEL:H
P LaserJet 5Si;"
INTEGER: 0
INTEGER: 0
INTEGER: 30
INTEGER: 0
Hex-STRING: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Comment 5 Tim Waugh 2005-07-27 11:39:57 EDT
Fixed in upstream CVS.

Note You need to log in before you can comment on or make changes to this bug.